# Class PoolExhaustedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
org.apache.tomcat.jdbc.pool.PoolExhaustedException

All Implemented Interfaces:
  `Serializable, Iterable<Throwable>`

public class PoolExhaustedException extends SQLException
Exception thrown when the connection pool is exhausted and no connections are available.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PoolExhaustedException()`
Constructs a PoolExhaustedException with no detail message.
`PoolExhaustedException(String reason)`
Constructs a PoolExhaustedException with the specified detail message.
`PoolExhaustedException(String reason, String SQLState)`
Constructs a PoolExhaustedException with the specified detail message and SQL state.
`PoolExhaustedException(String reason, String SQLState, int vendorCode)`
Constructs a PoolExhaustedException with the specified detail message, SQL state, and vendor code.
`PoolExhaustedException(String reason, String sqlState, int vendorCode, Throwable cause)`
Constructs a PoolExhaustedException with the specified detail message, SQL state, vendor code, and cause.
`PoolExhaustedException(String reason, String sqlState, Throwable cause)`
Constructs a PoolExhaustedException with the specified detail message, SQL state, and cause.
`PoolExhaustedException(String reason, Throwable cause)`
Constructs a PoolExhaustedException with the specified detail message and cause.
`PoolExhaustedException(Throwable cause)`
Constructs a PoolExhaustedException with the specified cause.

## Method Summary

### Methods inherited from class SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### PoolExhaustedException

public PoolExhaustedException()
Constructs a PoolExhaustedException with no detail message.

### PoolExhaustedException

public PoolExhaustedException(String reason)
Constructs a PoolExhaustedException with the specified detail message.

Parameters:
  `reason` - the detail message

### PoolExhaustedException

public PoolExhaustedException(Throwable cause)
Constructs a PoolExhaustedException with the specified cause.

Parameters:
  `cause` - the cause of this exception

### PoolExhaustedException

public PoolExhaustedException(String reason, String SQLState)
Constructs a PoolExhaustedException with the specified detail message and SQL state.

Parameters:
  `reason` - the detail message
  `SQLState` - the SQL state code

### PoolExhaustedException

public PoolExhaustedException(String reason, Throwable cause)
Constructs a PoolExhaustedException with the specified detail message and cause.

Parameters:
  `reason` - the detail message
  `cause` - the cause of this exception

### PoolExhaustedException

public PoolExhaustedException(String reason, String SQLState, int vendorCode)
Constructs a PoolExhaustedException with the specified detail message, SQL state, and vendor code.

Parameters:
  `reason` - the detail message
  `SQLState` - the SQL state code
  `vendorCode` - the vendor-specific error code

### PoolExhaustedException

public PoolExhaustedException(String reason, String sqlState, Throwable cause)
Constructs a PoolExhaustedException with the specified detail message, SQL state, and cause.

Parameters:
  `reason` - the detail message
  `sqlState` - the SQL state code
  `cause` - the cause of this exception

### PoolExhaustedException

public PoolExhaustedException(String reason, String sqlState, int vendorCode, Throwable cause)
Constructs a PoolExhaustedException with the specified detail message, SQL state, vendor code, and cause.

Parameters:
  `reason` - the detail message
  `sqlState` - the SQL state code
  `vendorCode` - the vendor-specific error code
  `cause` - the cause of this exception